> For the complete documentation index, see [llms.txt](https://docs.verifyme.ng/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifyme.ng/guarantor-verification/get-guarantor-verification-by-id.md).

# Get Guarantor Verification By ID

## Get Guarantor Verification By ID&#x20;

<mark style="color:blue;">`GET`</mark> `https://vapi.verifyme.ng/v1/verifications/guarantors/:id`

This endpoint allows you to fetch specific guarantor verifications

#### Path Parameters

| Name | Type   | Description              |
| ---- | ------ | ------------------------ |
| id   | string | Address Verification ID. |

#### Headers

| Name           | Type   | Description         |
| -------------- | ------ | ------------------- |
| Authentication | string | Authorization Token |

{% tabs %}
{% tab title="200 Address response " %}

```
{
  "status":"success",
  "data": {
  "id": 3456
  "applicant": {
    "idType": "NIN", 
    "idNumber": "8989999988443", 
    "firstname": "John",
     "middlename": "Jane", 
     "lastname": "Doe",
    "phone": "08060000001", 
    "gender": "female", 
    "birthdate": "17-01-1988", 
    "photo":"Base64 Encoded", 
  },
  "firstname": "Moses",
  "lastname": "Mavin",
  "phone": "080000000000",
  "email": "Moses.mavin@gmail.com",
  "acceptableIdType": ["NIN", "BVN", "FRSC", "VIN", "PN"],
  "address": {
    "formattedAddress": "23, John Boomg Street, Osogbo, Osun State, Nigeria",
    "state":"Osun",
    "lga": "Olorunda",
    "street": "23, John Boomg Street",
    "city": "Osogbo",
    "country": "Nigeria",
  }
  "verifyAddress": false,
  "status": {
    "status": "IN_PROGRESS", 
    "subStatus": "IN_PROGRESS", 
    "state": "IN_PROGRESS"
  },
  "createdAt": "2020-02-05T10:24:12.000",
}
```

{% endtab %}

{% tab title="401 Unauthorized" %}

```
{
    "status": "error",
    "message": "string",
    "code": "ACCESS_DENIED"
}
```

{% endtab %}

{% tab title="404 Guarantor Not foud" %}

```
{
    "status": "error",
    "message": "Not Found",
    "code": "NOT_FOUND_ERROR"
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Curl" %}

```
curl --verbose  --header "Authorization: Bearer <token>" 
--request "GET" "https://vapi.verifyme.ng/v1/verifications/guarantor/<id>"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifyme.ng/guarantor-verification/get-guarantor-verification-by-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
